<script setup lang="ts">
import { useAuthStore } from '@/stores/auth'
import { ref } from 'vue'
import type { VForm } from 'vuetify/components'

const refForm = ref<VForm | null>(null)
const email = ref('')
const password = ref('')
const authStore = useAuthStore()
const form = ref(false)
const required = (v: any) => {
  return !!v || 'Field is required'
}
const onSubmit = async () => {
  const { valid } = await refForm.value!.validate()
  if (!valid) return
  authStore.login(email.value, password.value)
}

const visible = ref<boolean>(false)
</script>

<template>
  <div class="bg">
    <v-container style="height: 200px"></v-container>
    <v-container class="d-flex justify-center">
      <v-sheet
        style="
          background-color: transparent;
          width: 380px;
          border: 2px solid white;
          border-radius: 10px;
          padding: 30px 40px;
          backdrop-filter: blur(20px);
          box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
        "
      >
        <v-form ref="refForm" v-model="form" @submit.prevent="onSubmit">
          <v-img src="src\assets\coffees.png" height="70" class="mb-5"> </v-img>
          <h1 style="color: white; text-align: center" class="mb-5">Login</h1>
          <div style="color: white">
            <v-text-field
              v-model="email"
              :rules="[required]"
              class="mb-3 input"
              clearable
              label="Email"
              prepend-inner-icon="mdi-email-outline"
              variant="outlined"
            ></v-text-field>
          </div>
          <div style="color: white">
            <v-text-field
              v-model="password"
              :rules="[required]"
              clearable
              label="Password"
              :append-inner-icon="visible ? 'mdi-eye-off' : 'mdi-eye'"
              :type="visible ? 'text' : 'password'"
              class="input"
              prepend-inner-icon="mdi-lock-outline"
              variant="outlined"
              @click:append-inner="visible = !visible"
            ></v-text-field>
          </div>
          <v-btn
            :disabled="!form"
            block
            color="white"
            size="large"
            type="submit"
            variant="elevated"
            class="mb-5"
          >
            Sign In
          </v-btn>
        </v-form>
      </v-sheet>
    </v-container>
  </div>
</template>

<style scoped>
* {
  font-family: 'Kanit';
}

.bg {
  background-image: url('./bgc.jpg') !important;
  height: 100%;
  width: 100%;
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  background-size: cover;
}
</style>
